package com.webchat.common.util;

import org.apache.commons.lang3.StringUtils;

import java.util.Random;
import java.util.UUID;

/***
 * ID 生成器
 */
public class IDGenerateUtil {

    public static String createId(String prefix) {
        if (StringUtils.isNotBlank(prefix)) {
            return prefix.concat("_").concat(uuid());
        }
        return uuid();
    }
    /**
     * 生成验证码, 生成4为长度验证码
     * @return
     */
    public static String createCode() {
        return String.format("%04d",new Random().nextInt(9999));
    }

    public static String uuid() {
        return UUID.randomUUID().toString().replaceAll("-", "");
    }
}
